package com.alibaba.druid.proxy.jdbc;

import com.alibaba.druid.stat.JdbcSqlStat;
import java.sql.Statement;
import java.util.List;
import java.util.Map;

public interface StatementProxy extends Statement, WrapperProxy {
   Statement getRawObject();

   List<String> getBatchSqlList();

   String getBatchSql();

   JdbcSqlStat getSqlStat();

   StatementExecuteType getLastExecuteType();

   void setSqlStat(JdbcSqlStat var1);

   String getLastExecuteSql();

   long getLastExecuteStartNano();

   void setLastExecuteStartNano(long var1);

   void setLastExecuteStartNano();

   long getLastExecuteTimeNano();

   void setLastExecuteTimeNano(long var1);

   void setLastExecuteTimeNano();

   Map<Integer, JdbcParameter> getParameters();

   int getParametersSize();

   JdbcParameter getParameter(int var1);

   boolean isFirstResultSet();
}
